Package org.eclipse.graphiti.features.impl

# Class AbstractCreateFeature

java.lang.Object
org.eclipse.graphiti.features.impl.AbstractFeature
org.eclipse.graphiti.features.impl.AbstractCreateFeature

All Implemented Interfaces:
  `ICreateFeature`, `IFeature`, `IFeatureProviderHolder`, `ICreate`, `ICreateInfo`, `IDescription`, `IName`

Direct Known Subclasses:
  `CreateFeatureForPattern`

public abstract class AbstractCreateFeature extends AbstractFeature implements ICreateFeature
The Class AbstractCreateFeature.

## Field Summary

### Fields inherited from interface org.eclipse.graphiti.func.ICreate

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`AbstractCreateFeature(IFeatureProvider fp, String name, String description)`
Creates a new `AbstractCreateFeature`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canExecute(IContext context)`
Decides if the current feature can execute with the given context.
`void`
`execute(IContext context)`
Executes the current feature with the given context.
`String`
`getCreateDescription()`
Gets the create description.
`String`
`getCreateImageId()`
Gets the create image id.
`String`
`getCreateLargeImageId()`
Gets the create large image id.
`String`
`getCreateName()`
Gets the create name.
`String`
`getDescription()`
Gets the description.
`String`
`getName()`
Gets the name.

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`addGraphicalRepresentation, canUndo, getAllBusinessObjectsForPictogramElement, getBusinessObjectForPictogramElement, getDiagram, getDiagramBehavior, getFeatureProvider, getProgressCallback, getUserDecision, hasDoneChanges, isAvailable, layoutPictogramElement, link, link, manageColor, manageColor, manageDefaultFont, manageFont, manageFont, setProgressCallback, toString, updatePictogramElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.func.ICreate

`canCreate, create`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

## Constructor Details

### AbstractCreateFeature

public AbstractCreateFeature(IFeatureProvider fp, String name, String description)
Creates a new `AbstractCreateFeature`.

Parameters:
  `fp` - feature provider
  `name` - the name
  `description` - the description

## Method Details

### getCreateDescription

public String getCreateDescription()
Description copied from interface: `ICreateInfo`
Gets the create description.

Specified by:
  `getCreateDescription` in interface `ICreateInfo`
Returns:
  description for UI representation

### getCreateName

public String getCreateName()
Description copied from interface: `ICreateInfo`
Gets the create name.

Specified by:
  `getCreateName` in interface `ICreateInfo`
Returns:
  name for UI representation

### canExecute

public boolean canExecute(IContext context)
Description copied from interface: `IFeature`
Decides if the current feature can execute with the given context.

Specified by:
  `canExecute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
Returns:
  true if the feature can be executed, false if not
See Also:
  - `IContext`

### execute

public void execute(IContext context)
Description copied from interface: `IFeature`
Executes the current feature with the given context.

Specified by:
  `execute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
See Also:
  - `IContext`

### getCreateImageId

public String getCreateImageId()
Description copied from interface: `ICreateInfo`
Gets the create image id.

Specified by:
  `getCreateImageId` in interface `ICreateInfo`
Returns:
  image for UI representation

### getCreateLargeImageId

public String getCreateLargeImageId()
Description copied from interface: `ICreateInfo`
Gets the create large image id.

Specified by:
  `getCreateLargeImageId` in interface `ICreateInfo`
Returns:
  large image for UI representation

### getName

public String getName()
Description copied from interface: `IName`
Gets the name.

Specified by:
  `getName` in interface `IName`
Overrides:
  `getName` in class `AbstractFeature`
Returns:
  the name

### getDescription

public String getDescription()
Description copied from interface: `IDescription`
Gets the description.

Specified by:
  `getDescription` in interface `IDescription`
Overrides:
  `getDescription` in class `AbstractFeature`
Returns:
  the description